//============================================================================
// Name        : Xyz.h
// Author      : Alessandro Pinto <apinto@eecs.berkeley.edu>
//               University of California, Berkeley
//               545 Cory Hall, Berkeley, CA 94720
// Version     : $Id: Xyz.cpp,v 1.2 2007/09/27 01:42:50 apinto Exp $
// Copyright   : See COPYING file that comes with this distribution
// Description : Implementation of the Xyz class.
//============================================================================


#include "Xyz.h"

namespace cosi
{

Xyz::Xyz()
{
	mX = mY = mZ = 0;
}

Xyz::Xyz(double pX)
{
	mX = pX ;
	mY = mZ = 0 ;
}

Xyz::Xyz(double pX , double pY)
{
	mX = pX ;
	mY = pY ;
	mZ = 0;
}

Xyz::Xyz(double pX , double pY,double pZ)
{
	mX = pX ;
	mY = pY ;
	mZ = pZ ;
}

Xyz::~Xyz()
{
}

void Xyz::SetX(double pX) {
	mX = pX ;
}

void Xyz::SetY(double pY) {
	mY = pY ;
}

void Xyz::SetZ(double pZ) {
	mZ = pZ ;
}

double Xyz::GetX() {
	return mX ;
}

double Xyz::GetY() {
	return mY ;
}

double Xyz::GetZ() {
	return mZ ;
}

string Xyz::Print( ) {
	stringstream s ;
	s << "X = " << mX << ", Y = " << mY << ", Z = " << mZ << endl ;
	return s.str( ) ;
}

}
